/* ========================================================================= */
/* DATOS =================================================================== */
/* ========================================================================= */

var game = { name: "Paisajes Canarios", picture: "images/games/paisajes.png", color: "game-paisajes", resHeight: true };

var categories = [
	{ name: 'islas', score: 1 }, 					// categoriesId[0]
	{ name: 'Islotes', score: 1 }, 					// categoriesId[1]
	{ name: 'Pisos de vegetación', score: 1 }, 		// categoriesId[2]
	{ name: 'Medio Rural', score: 3 }, 				// categoriesId[3]
	{ name: 'Monumentos Naturales', score: 3 }, 	// categoriesId[4]
	{ name: 'Construido por el hombre', score: 4 }, // categoriesId[5]
	{ name: 'Archipiélago Chinijo', score: 5, description: '<span class="span-description">Las Islas Canarias son 7. ¿Sabes cuántas islas conforman el archipiélago Chinijo?</span>' }, 	// categoriesId[6]
	{ name: 'Parques nacionales', score: 5, description: '<span class="span-description">¿A qué islas pertenece cada uno de los 4 parques nacionales que hay en Canarias? Acomola en las cajas correspondientes a cada una de las islas</span>' } 				// categoriesId[7]
];

// Añadimos el campo special edit a la categoría Diariamente
_.extend(categories[6], { special: {edit: true} });

var categoriesId = [];

// Asignamos un id único a cada categoría y lo guardamos
_.each(categories, function (category) {
	var id = _.uniqueId('category_');
	categoriesId.push(id);
	_.extend(category, {_id: id});
});

var items = [
	// { name: '', picture: 'images/items/.png', color: '', categoriesId: [ categoriesId[] ], resHeight: false },

	{ name: 'Isla de Lobos', picture: 'images/items/isla-lobos.png', color: 'light-cyan', categoriesId: [ categoriesId[1]], resHeight: true },			// itemsId[0]
	{ name: 'La Graciosa', picture: 'images/items/graciosa.png', color: 'dark-green', categoriesId: [ categoriesId[1]], resHeight: false },										// itemsId[1]
	{ name: 'Archipialgo Chinijo', picture: 'images/items/chinijo.png', color: 'dark-cyan', categoriesId: [ categoriesId[1],categoriesId[6]], resHeight: true },									// itemsId[2]
	{ name: 'La Geria', picture: 'images/items/geria.png', color: 'light-pink', categoriesId: [ categoriesId[5]], resHeight: true },	// itemsId[3]
	{ name: 'Roque Nublo', picture: 'images/items/roque-nublo.png', color: 'light-cyan', categoriesId: [ categoriesId[4]], resHeight: false},	// itemsId[4]
	{ name: 'Dunas', picture: 'images/items/dunas.png', color: 'light-orange', categoriesId: [ categoriesId[2],categoriesId[4]], resHeight: false },	// itemsId[5]
	{ name: 'Salinas', picture: 'images/items/salina.png', color: 'dark-orange', categoriesId: [ categoriesId[2],categoriesId[5]], resHeight: false },	// itemsId[6]
	{ name: 'El Golfo', picture: 'images/items/golfo.png', color: 'light-green', categoriesId: [ categoriesId[4]], resHeight: false },	// itemsId[7]
	{ name: 'Molinos de viento', picture: 'images/items/molinos.png', color: 'normal-pink', categoriesId: [ categoriesId[3],categoriesId[5]], resHeight: true },	// itemsId[8]
	{ name: 'Malpaís', picture: 'images/items/malpais.png', color: 'normal-orange', categoriesId: [ categoriesId[2]], resHeight: false },	// itemsId[9]
	{ name: 'Pozo de la salud', picture: 'images/items/pozo-salud.png', color: 'normal-green', categoriesId: [ categoriesId[3],categoriesId[5]], resHeight: true },	// itemsId[10]
	{ name: 'Pinar', picture: 'images/items/pinar.png', color: 'light-purple', categoriesId: [ categoriesId[2]], resHeight: false },	// itemsId[11]
	{ name: 'Los Órganos', picture: 'images/items/organos.png', color: 'normal-cyan', categoriesId: [ categoriesId[4]], resHeight: false },	// itemsId[12]
	{ name: 'El Teide', picture: 'images/items/teide.png', color: 'light-yellow', categoriesId: [ categoriesId[2],categoriesId[4]], resHeight: false },	// itemsId[13]
	{ name: 'Taburiente', picture: 'images/items/taburiente.png', color: 'light-pink', categoriesId: [], resHeight: false },	// itemsId[14]
	{ name: 'Timanfaya', picture: 'images/items/timanfaya.png', color: 'light-cyan', categoriesId: [], resHeight: false},	// itemsId[15]
	{ name: 'Garajonay', picture: 'images/items/garajonay.png', color: 'normal-pink', categoriesId: [], resHeight: false },	// itemsId[16]
	{ name: 'Gran Canaria', picture: 'images/items/gran-canaria.png', color: 'dark-orange', categoriesId: [ categoriesId[0]], resHeight: false},	// itemsId[17]
	{ name: 'Tenerife', picture: 'images/items/tenerife.png', color: 'light-orange', categoriesId: [ categoriesId[0]], resHeight: false},	// itemsId[18]
	{ name: 'La Palma', picture: 'images/items/la-palma.png', color: 'normal-cyan', categoriesId: [ categoriesId[0]], resHeight: true },	// itemsId[19]
	{ name: 'La Gomera', picture: 'images/items/la-gomera.png', color: 'normal-pink', categoriesId: [ categoriesId[0]], resHeight: false },	// itemsId[20]
	{ name: 'El Hierro', picture: 'images/items/el-hierro.png', color: 'light-yellow', categoriesId: [ categoriesId[0]], resHeight: false },	// itemsId[21]
	{ name: 'Lanzarote', picture: 'images/items/lanzarote.png', color: 'dark-orange', categoriesId: [ categoriesId[0]], resHeight: false },	// itemsId[22]
	{ name: 'Fuerteventura', picture: 'images/items/fuerteventura.png', color: 'dark-green', categoriesId: [ categoriesId[0]], resHeight: true },	// itemsId[23]
	{ name: 'Casas de colores', picture: 'images/items/casas-colores.png', color: 'light-purple', categoriesId: [ categoriesId[5]], resHeight: false },	// itemsId[24]
	{ name: 'Faro de Orchilla', picture: 'images/items/orchilla.png', color: 'dark-cyan', categoriesId: [ categoriesId[3],categoriesId[5] ], resHeight: false },	// itemsId[25]
	{ name: 'Cardonal Tabaibal', picture: 'images/items/cardon-jandia.png', color: 'light-purple', categoriesId: [ categoriesId[2]], resHeight: false },	// itemsId[26]
	{ name: 'Laurisilva', picture: 'images/items/tilo.png', color: 'light-yellow', categoriesId: [ categoriesId[2]], resHeight: false },	// itemsId[27]
	{ name: 'Bosque termófilo', picture: 'images/items/palmera.png', color: 'normal-orange', categoriesId: [ categoriesId[2]], resHeight: true },	// itemsId[28]
	{ name: 'Fayal-Brezal', picture: 'images/items/fayal-brezal.png', color: 'light-pink', categoriesId: [ categoriesId[2]], resHeight: true },	// itemsId[29]
	{ name: 'casa tradicional', picture: 'images/items/casa-rural.png', color: 'light-purple', categoriesId: [ categoriesId[3],categoriesId[5]], resHeight: false },	// itemsId[30]
	{ name: 'ermita de los dolores', picture: 'images/items/ermita-dolores.png', color: 'light-cyan', categoriesId: [ categoriesId[3],categoriesId[5]], resHeight: false }	// itemsId[31]
];

// Añadimos el campo especial edit a todos los items editables
_.each([2], function (pos) {
	_.extend(items[pos], { special: {edit: []} });
});

// Añadimos a los campos special edit el valor(es) correspondiente(s) de cada item
_.each([2], function (pos) {
	items[pos].special.edit.push('5');
});

var itemsId = [];

// Asignamos un id único a cada item
_.each(items, function (item) {
	var id = _.uniqueId('item_');
	itemsId.push(id);
	_.extend(item, {_id: id});
});


// Añadimos el campo special folder a la categoría Vegano
_.extend(categories[7], {
	special: {
		folder: [
			{ name: 'Lanzarote', content: [itemsId[15]] },
			{ name: 'La Gomera', content: [itemsId[16]] },
			{ name: 'Tenerife', content: [itemsId[13]] },
			{ name: 'La Palma', content: [itemsId[14]] }
		],
		minGroupSize: 1
	}
});

var boxes = [
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] }
];

// Asignamos un id único y un index a cada caja
_.each(boxes, function (box, index) {
	_.extend(box, {_id: _.uniqueId('box_'), index: index});
});